/*
 * CloseDataStoreException.java
 */

package catalog.datastore;


/**
 * A class that handles close datastore exception.
 */
public class CloseDataStoreException extends Throwable
{

  /**
   * Constructs an empty <code>CloseDataStoreException</code> object.
   * <p><b>pre:</b> True.
   * <p><b>post:</b>An empty object has been created.
   */
  public CloseDataStoreException()
  {

  }

  /**
   * Constructs a <code>CloseDataStoreException</code> object with given
   * arguments.
   * <p><b>pre:</b> Argument is valid.
   * <p><b>post:</b> An object has been created.
   */
  public CloseDataStoreException(String e)
  {
    super(e);
  }
} // eof.
