/*
 * SaveDataStoreException.java
 */

package catalog.datastore;

/**
 * A class that handles save datastore exception.
 */
public class SaveDataStoreException extends Throwable
{
  /**
   * Constructs an empty <code>SaveDataStoreException</code> object.
   * <p><b>pre:</b> True.
   * <p><b>post:</b>An empty object has been created.
   */
  public SaveDataStoreException()
  {

  }

  /**
   * Constructs a <code>CloseDataStoreException</code> object with given
   * arguments.
   * <p><b>pre:</b> Argument is valid.
   * <p><b>post:</b> An object has been created.
   */
  public SaveDataStoreException(String e)
  {
    super(e);
  }
} // eof.
