/*
 * LoadDataStoreException.java
 */

package catalog.datastore;


/**
 * A class that handles load datastore exception.
 */
public class LoadDataStoreException extends Throwable
{
  /**
   * Constructs an empty <code>LoadDataStoreException</code> object.
   * <p><b>pre:</b> True.
   * <p><b>post:</b>An empty object has been created.
   */
  public LoadDataStoreException()
  {

  }

  /**
   * Constructs a <code>CloseDataStoreException</code> object with given
   * arguments.
   * <p><b>pre:</b> Argument is valid.
   * <p><b>post:</b> An object has been created.
   */  
  public LoadDataStoreException(String e)
  {
    super(e);
  }
} // eof.
