/*
 * OpenDataStoreException.java
 */

package catalog.datastore;

/**
 * A class that handles open datastore exception.
 */
public class OpenDataStoreException extends Throwable
{
  /**
   * Constructs an empty <code>OpenDataStoreException</code> object.
   * <p><b>pre:</b> True.
   * <p><b>post:</b>An empty object has been created.
   */
  public OpenDataStoreException()
  {

  }

  /**
   * Constructs a <code>CloseDataStoreException</code> object with given
   * arguments.
   * <p><b>pre:</b> Argument is valid.
   * <p><b>post:</b> An object has been created.
   */
  public OpenDataStoreException(String e)
  {
    super(e);
  }
} // eof.
